.ant-btn,
a.ant-btn {
    font-size: 16px;

    height: 35px;
    line-height: 35px;
    padding: 0 12px;
    border-radius: 10px;

    @include bp(xs-md) {
        font-size: 14px;
    }

    @include bp(md) {
        height: 44px;
        padding: 0px 20px;
        line-height: 41px;
    }

    &.ant-btn-success {
        background: $brand-accent-alt;
        border-color: $brand-accent-alt;
        color: #fff;

        &:hover {
            background: lighten($brand-accent-alt, 1.5%);
            border-color: lighten($brand-accent-alt, 1.5%);
            opacity: 0.9;
        }
    }

    &.ant-btn-sm {
        height: 30px;
        line-height: 30px;
        border-radius: 6px;
        font-size: 14px;
        padding: 0 10px;
    }
}

.ant-btn-primary {
    background-color: $brand-primary;
    border-color: $brand-primary;
    color: #fff !important;
}

.send-cta {
    padding: 0 30px;
    height: 60px !important;

    i {
        float: right;
        margin-left: 40px !important;
        margin-top: 12px;
    }
}

.ant-btn.disabled,
.ant-btn[disabled],
.ant-btn.disabled:hover,
.ant-btn[disabled]:hover,
.ant-btn.disabled:focus,
.ant-btn[disabled]:focus,
.ant-btn.disabled:active,
.ant-btn[disabled]:active,
.ant-btn.disabled.active,
.ant-btn[disabled].active {
    color: rgba(0, 0, 0, 0.25) !important;
    background-color: #f5f5f5 !important;
    border-color: #d9e0eb !important;
}

.btn-rounded {
    border-radius: 30px;
}

.btn-outline {
    border: 2px solid $border-color-bg;
    background: none;
    color: #a1aab4;
    line-height: 26px;
    box-shadow: none;

    &.btn-xs {
        border-width: 1px;
    }

    &:hover {
        border-color: $border-color-bg;
        background: $border-color-bg;
        color: darken($gray-5, 3%);
    }
}

.btn-uppercase {
    text-transform: uppercase;
    font-size: 14px;
}

.ant-btn:not(.ant-btn-circle):not(.ant-btn-circle-outline).ant-btn-icon-only {
    padding-left: 14px;
    padding-right: 14px;
    font-size: 20px;
    line-height: 40px;
}

.btn-xs {
    height: 28px;
    line-height: 28px;
    font-size: 14px;
    padding: 0 14px;
}

.ant-btn-lg {
    height: 46px;
    line-height: 44px !important;
}

.ant-btn-gray {
    background: #eef4fa;
    border-color: #eef4fa;

    &:hover {
        background: darken(#eef4fa, 2%);
        border-color: darken(#eef4fa, 2%);
        color: $black;
    }
}

.ant-btn-danger {
    &.filled {
        background: #ff3f64;
        border-color: #ff3f64;
        color: #fff;
    }
}

.ant-modal-close {
    background: $gray-2;
    border-radius: 4px;

    $close-dimension: 36px;

    .ant-modal-close-x {
        width: $close-dimension;
        height: $close-dimension;
        line-height: $close-dimension;
        &:before {
            content: "\f129";
            font-family: "Ionicons" !important;
            font-weight: initial;
        }
        i {
            display: none !important;
        }
    }
}

.btn-icon {
    fill: #fff;
    width: 100%;
    max-width: 16px;
}
